@echo off
rem # USAGE:    Run
rem #             jvSub.bat [options] [geometry-file]
rem #           from the windows explorer or command line.
rem #
rem # PURPOSE:  Opens a submission dialog to edit meta information
rem #           of a submission to www.eg-models.de.
rem #           This package is extracted from the JavaView software.
rem #
rem # VERSION:  01.01, 2015-03-29 (kp) Trailing path separator appended to codebase, for cosmetic reasons.
rem #           01.00, 2013-04-14 (kp) Batch file reated.
rem #

rem # The default JavaView codebase folder is the parent directory of this file, no need to edit.
set jv_cb="%~dp0.."

rem # SET JAR LIBRARIES (optionally edit):
rem # 
rem # The variable jvSub_jar specifies the location of the JavaView-sub archive "jvSub.jar".
set jvSub_jar=%jv_cb%/jars/jvSub.jar

rem # Append trailing path separator to codebase
set jv_cb=%jv_cb%\

rem # Launch submission dialog
start javaw -cp %jvSub_jar% jvSub codebase=%jv_cb% %*
